Package jxl.write

# Class WritableCellFormat

java.lang.Object
jxl.biff.RecordData
jxl.biff.WritableRecordData
jxl.biff.XFRecord
jxl.write.biff.CellXFRecord
jxl.write.WritableCellFormat

All Implemented Interfaces:
  `jxl.biff.ByteData`, `CellFormat`

public class WritableCellFormat extends jxl.write.biff.CellXFRecord
A user specified cell format, which may be reused across many cells. The constructors takes parameters, such as font details and the numerical date formats, which specify to Excel how cells with this format should be displayed. Once a CellFormat has been added to a Cell which has been added to a sheet, then the CellFormat becomes immutable (to prevent unforeseen effects on other cells which share the same format). Attempts to call the various set... functions on a WritableCellFormat after this time will result in a runtime exception.

## Field Summary

### Fields inherited from class jxl.biff.XFRecord

`biff7, biff8, formatIndex`

## Constructor Summary

Constructors
Constructor
Description
`WritableCellFormat()`
A default constructor, which uses the default font and format.
`WritableCellFormat(jxl.biff.DisplayFormat format)`
A constructor which specifies a date/number format for Cells which use this format object
`WritableCellFormat(CellFormat format)`
A public copy constructor which can be used for copy formats between different sheets
`WritableCellFormat(WritableFont font)`
A CellFormat which specifies the font for cells with this format
`WritableCellFormat(WritableFont font, jxl.biff.DisplayFormat format)`
A constructor which specifies the font and date/number format for cells which wish to use this format

## Method Summary

Modifier and Type
Method
Description
`void`
`setAlignment(Alignment a)`
Sets the horizontal alignment for this format
`void`
`setBackground(Colour c)`
Sets the background colour for this cell format
`void`
`setBackground(Colour c, Pattern p)`
Sets the background colour and pattern for this cell format
`void`
`setBorder(Border b, BorderLineStyle ls)`
Sets the specified border for this format
`void`
`setBorder(Border b, BorderLineStyle ls, Colour c)`
Sets the specified border for this format
`void`
`setIndentation(int i)`
Sets the indentation of the cell text
`void`
`setLocked(boolean l)`
Sets whether or not this XF record locks the cell.
`void`
`setOrientation(Orientation o)`
Sets the text orientation for this format
`void`
`setShrinkToFit(boolean s)`
Sets the shrink to fit flag
`void`
`setVerticalAlignment(VerticalAlignment va)`
Sets the vertical alignment for this format
`void`
`setWrap(boolean w)`
Sets the wrap indicator for this format.

### Methods inherited from class jxl.biff.XFRecord

`equals, getAlignment, getBackgroundColour, getBorder, getBorderColour, getBorderLine, getData, getDateFormat, getFont, getFontIndex, getFormat, getFormatRecord, getIndentation, getNumberFormat, getOrientation, getPattern, getVerticalAlignment, getWrap, getXFIndex, hasBorders, hashCode, initialize, isDate, isInitialized, isLocked, isNumber, isRead, isShrinkToFit, setFont, uninitialize`

### Methods inherited from class jxl.biff.WritableRecordData

`getBytes`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WritableCellFormat

public WritableCellFormat()
A default constructor, which uses the default font and format. This constructor should be used in conjunction with the more advanced two-phase methods setAlignment, setBorder etc.

### WritableCellFormat

public WritableCellFormat(WritableFont font)
A CellFormat which specifies the font for cells with this format

Parameters:
  `font` - the font

### WritableCellFormat

public WritableCellFormat(jxl.biff.DisplayFormat format)
A constructor which specifies a date/number format for Cells which use this format object

Parameters:
  `format` - the format

### WritableCellFormat

public WritableCellFormat(WritableFont font, jxl.biff.DisplayFormat format)
A constructor which specifies the font and date/number format for cells which wish to use this format

Parameters:
  `font` - the font
  `format` - the date/number format

### WritableCellFormat

public WritableCellFormat(CellFormat format)
A public copy constructor which can be used for copy formats between different sheets

Parameters:
  `format` - the cell format to copy

## Method Details

### setAlignment

public void setAlignment(Alignment a) throws WriteException
Sets the horizontal alignment for this format

Overrides:
  `setAlignment` in class `jxl.write.biff.CellXFRecord`
Parameters:
  `a` - the alignment
Throws:
  `WriteException`

### setVerticalAlignment

public void setVerticalAlignment(VerticalAlignment va) throws WriteException
Sets the vertical alignment for this format

Overrides:
  `setVerticalAlignment` in class `jxl.write.biff.CellXFRecord`
Parameters:
  `va` - the vertical alignment
Throws:
  `WriteException`

### setOrientation

public void setOrientation(Orientation o) throws WriteException
Sets the text orientation for this format

Overrides:
  `setOrientation` in class `jxl.write.biff.CellXFRecord`
Parameters:
  `o` - the orientation
Throws:
  `WriteException`

### setWrap

public void setWrap(boolean w) throws WriteException
Sets the wrap indicator for this format. If the wrap is set to TRUE, then Excel will wrap data in cells with this format so that it fits within the cell boundaries

Overrides:
  `setWrap` in class `jxl.write.biff.CellXFRecord`
Parameters:
  `w` - the wrap flag
Throws:
  `WriteException`

### setBorder

public void setBorder(Border b, BorderLineStyle ls) throws WriteException
Sets the specified border for this format

Parameters:
  `b` - the border
  `ls` - the border line style
Throws:
  `WriteException`

### setBorder

public void setBorder(Border b, BorderLineStyle ls, Colour c) throws WriteException
Sets the specified border for this format

Overrides:
  `setBorder` in class `jxl.write.biff.CellXFRecord`
Parameters:
  `b` - the border
  `ls` - the border line style
  `c` - the colour of the specified border
Throws:
  `WriteException`

### setBackground

public void setBackground(Colour c) throws WriteException
Sets the background colour for this cell format

Parameters:
  `c` - the bacground colour
Throws:
  `WriteException`

### setBackground

public void setBackground(Colour c, Pattern p) throws WriteException
Sets the background colour and pattern for this cell format

Overrides:
  `setBackground` in class `jxl.write.biff.CellXFRecord`
Parameters:
  `c` - the colour
  `p` - the pattern
Throws:
  `WriteException`

### setShrinkToFit

public void setShrinkToFit(boolean s) throws WriteException
Sets the shrink to fit flag

Overrides:
  `setShrinkToFit` in class `jxl.write.biff.CellXFRecord`
Parameters:
  `s` - shrink to fit flag
Throws:
  `WriteException`

### setIndentation

public void setIndentation(int i) throws WriteException
Sets the indentation of the cell text

Overrides:
  `setIndentation` in class `jxl.write.biff.CellXFRecord`
Parameters:
  `i` - the indentation
Throws:
  `WriteException`

### setLocked

public void setLocked(boolean l) throws WriteException
Sets whether or not this XF record locks the cell. For this to have any effect, the sheet containing cells with this format must also be locke3d

Overrides:
  `setLocked` in class `jxl.write.biff.CellXFRecord`
Parameters:
  `l` - the locked flag
Throws:
  `WriteException`